package com.evolute.siprp.server.logic.AnaliseAcidentesTrabalho;

import java.util.Vector;

import com.evolute.siprp.client.panels.apps.AnaliseAcidentesTrabalho.AnaliseAcidentesTrabalhoService;
import com.evolute.siprp.client.vo.ActualTableRow;
import com.evolute.siprp.client.vo.Utilizador;
import com.google.gwt.user.server.rpc.RemoteServiceServlet;

public class AnaliseAcidentesTrabalhoServiceImpl extends RemoteServiceServlet implements AnaliseAcidentesTrabalhoService 
{
	private static final long serialVersionUID = -8785113866553581244L;
	
	private AnaliseAcidentesTrabalhoLogic logic;
	
	private void initLogic()
	{
		if ( logic == null )
		{
			logic = new AnaliseAcidentesTrabalhoLogic();
		}
	}
	
	
	@Override
	public Vector< ActualTableRow > getActualTableData( Utilizador userLogged ) 
	{
		initLogic();
		
		return logic.getActualTableData( userLogged );
	}

	@Override
	public Vector< ActualTableRow > getSeguimentoTableData( Utilizador userLogged ) 
	{
		initLogic();
		
		return logic.getSeguimentoTableData( userLogged );
	}
	

}
